;***************************************************************
;* TMS320x280xx Control Law Accelerator C/C++ Codegen PC v15.12.1.LTS *
;* Date/Time created: Mon Jun 27 16:59:47 2016                 *
;***************************************************************
	.compiler_opts --abi=coffabi --cla_support=cla1 --diag_wrap=off --float_support=fpu32 --hll_source=on --mem_model:code=flat --mem_model:data=large --object_format=coff --silicon_version=28 --symdebug:dwarf --symdebug:dwarf_version=3 --tmu_support=tmu0 

$C$DW$CU	.dwtag  DW_TAG_compile_unit
	.dwattr $C$DW$CU, DW_AT_name("../CLATest.cla")
	.dwattr $C$DW$CU, DW_AT_producer("TI TMS320x280xx Control Law Accelerator C/C++ Codegen PC v15.12.1.LTS Copyright (c) 1996-2015 Texas Instruments Incorporated")
	.dwattr $C$DW$CU, DW_AT_TI_version(0x01)
	.dwattr $C$DW$CU, DW_AT_comp_dir("O:\EA-44\EA-440\10_Mitarbeiter\Hilden\TI\CLATest\Debug")
$C$DW$1	.dwtag  DW_TAG_variable
	.dwattr $C$DW$1, DW_AT_name("_LEDstate")
	.dwattr $C$DW$1, DW_AT_TI_symbol_name("_LEDstate")
	.dwattr $C$DW$1, DW_AT_type(*$C$DW$T$21)
	.dwattr $C$DW$1, DW_AT_declaration
	.dwattr $C$DW$1, DW_AT_external

$C$DW$2	.dwtag  DW_TAG_variable
	.dwattr $C$DW$2, DW_AT_name("_in")
	.dwattr $C$DW$2, DW_AT_TI_symbol_name("_in")
	.dwattr $C$DW$2, DW_AT_type(*$C$DW$T$25)
	.dwattr $C$DW$2, DW_AT_declaration
	.dwattr $C$DW$2, DW_AT_external

$C$DW$3	.dwtag  DW_TAG_variable
	.dwattr $C$DW$3, DW_AT_name("_out")
	.dwattr $C$DW$3, DW_AT_TI_symbol_name("_out")
	.dwattr $C$DW$3, DW_AT_type(*$C$DW$T$25)
	.dwattr $C$DW$3, DW_AT_declaration
	.dwattr $C$DW$3, DW_AT_external

;	C:\ti\ccsv6\tools\compiler\ti-cgt-c2000_15.12.1.LTS\bin\accla.exe -@C:\\Users\\q335587\\AppData\\Local\\Temp\\1057612 
	.sect	"Cla1Prog:_calc2"
	.align	 2
__cla_calc2_sp	.usect	".scratchpad:Cla1Prog:_calc2",2,0,1
	.global	_calc2

$C$DW$4	.dwtag  DW_TAG_subprogram
	.dwattr $C$DW$4, DW_AT_name("_calc2")
	.dwattr $C$DW$4, DW_AT_low_pc(_calc2)
	.dwattr $C$DW$4, DW_AT_high_pc(0x00)
	.dwattr $C$DW$4, DW_AT_TI_symbol_name("_calc2")
	.dwattr $C$DW$4, DW_AT_external
	.dwattr $C$DW$4, DW_AT_type(*$C$DW$T$22)
	.dwattr $C$DW$4, DW_AT_TI_begin_file("../CLATest.cla")
	.dwattr $C$DW$4, DW_AT_TI_begin_line(0x0c)
	.dwattr $C$DW$4, DW_AT_TI_begin_column(0x09)
	.dwattr $C$DW$4, DW_AT_TI_max_frame_size(-2)
	.dwpsn	file "../CLATest.cla",line 12,column 28,is_stmt,address _calc2,isa 0

	.dwfde $C$DW$CIE, _calc2
$C$DW$5	.dwtag  DW_TAG_formal_parameter
	.dwattr $C$DW$5, DW_AT_name("_argb")
	.dwattr $C$DW$5, DW_AT_TI_symbol_name("_argb")
	.dwattr $C$DW$5, DW_AT_type(*$C$DW$T$22)
	.dwattr $C$DW$5, DW_AT_location[DW_OP_reg2]


;***************************************************************
;* FNAME: _calc2                        FR SIZE:   2           *
;*                                                             *
;* FUNCTION ENVIRONMENT                                        *
;*                                                             *
;* FUNCTION PROPERTIES                                         *
;*                            2 Auto,  0 SOE     *
;***************************************************************

_calc2:
$C$DW$6	.dwtag  DW_TAG_variable
	.dwattr $C$DW$6, DW_AT_name("_argb")
	.dwattr $C$DW$6, DW_AT_TI_symbol_name("_argb")
	.dwattr $C$DW$6, DW_AT_type(*$C$DW$T$22)
	.dwattr $C$DW$6, DW_AT_location[DW_OP_addr __cla_calc2_sp+0]

;----------------------------------------------------------------------
;  12 | float32 calc2(float32 argb){                                           
;----------------------------------------------------------------------
        MMOV32    @__cla_calc2_sp+0,MR0 ; [CPU_] |12| 
	.dwpsn	file "../CLATest.cla",line 13,column 5,is_stmt,isa 0
;----------------------------------------------------------------------
;  13 | return argb+1.0;                                                       
;----------------------------------------------------------------------
        MADDF32   MR0,MR0,#16256        ; [CPU_] |13| 
	.dwpsn	file "../CLATest.cla",line 14,column 1,is_stmt,isa 0
$C$DW$7	.dwtag  DW_TAG_TI_branch
	.dwattr $C$DW$7, DW_AT_low_pc(0x00)
	.dwattr $C$DW$7, DW_AT_TI_return

        MRCNDD    ; [CPU_] 
        MNOP      ; [CPU_] 
        MNOP      ; [CPU_] 
        MNOP      ; [CPU_] 
        ; return occurs ; [] 
	.dwattr $C$DW$4, DW_AT_TI_end_file("../CLATest.cla")
	.dwattr $C$DW$4, DW_AT_TI_end_line(0x0e)
	.dwattr $C$DW$4, DW_AT_TI_end_column(0x01)
	.dwendentry
	.dwendtag $C$DW$4

	.sect	"Cla1Prog:_calc"
	.align	 2
__cla_calc_sp	.usect	".scratchpad:Cla1Prog:_calc",4,0,1
	.global	_calc

$C$DW$8	.dwtag  DW_TAG_subprogram
	.dwattr $C$DW$8, DW_AT_name("_calc")
	.dwattr $C$DW$8, DW_AT_low_pc(_calc)
	.dwattr $C$DW$8, DW_AT_high_pc(0x00)
	.dwattr $C$DW$8, DW_AT_TI_symbol_name("_calc")
	.dwattr $C$DW$8, DW_AT_external
	.dwattr $C$DW$8, DW_AT_type(*$C$DW$T$22)
	.dwattr $C$DW$8, DW_AT_TI_begin_file("../CLATest.cla")
	.dwattr $C$DW$8, DW_AT_TI_begin_line(0x10)
	.dwattr $C$DW$8, DW_AT_TI_begin_column(0x09)
	.dwattr $C$DW$8, DW_AT_TI_max_frame_size(-4)
	.dwpsn	file "../CLATest.cla",line 16,column 27,is_stmt,address _calc,isa 0

	.dwfde $C$DW$CIE, _calc
$C$DW$9	.dwtag  DW_TAG_formal_parameter
	.dwattr $C$DW$9, DW_AT_name("_arga")
	.dwattr $C$DW$9, DW_AT_TI_symbol_name("_arga")
	.dwattr $C$DW$9, DW_AT_type(*$C$DW$T$22)
	.dwattr $C$DW$9, DW_AT_location[DW_OP_reg2]


;***************************************************************
;* FNAME: _calc                         FR SIZE:   4           *
;*                                                             *
;* FUNCTION ENVIRONMENT                                        *
;*                                                             *
;* FUNCTION PROPERTIES                                         *
;*                            4 Auto,  2 SOE     *
;***************************************************************

_calc:
        MMOV32    @__cla_calc_sp+2,MSTF ; [CPU_] 
        MNOP      ; [CPU_] 
$C$DW$10	.dwtag  DW_TAG_variable
	.dwattr $C$DW$10, DW_AT_name("_arga")
	.dwattr $C$DW$10, DW_AT_TI_symbol_name("_arga")
	.dwattr $C$DW$10, DW_AT_type(*$C$DW$T$22)
	.dwattr $C$DW$10, DW_AT_location[DW_OP_addr __cla_calc_sp+0]

;----------------------------------------------------------------------
;  16 | float32 calc(float32 arga){                                            
;----------------------------------------------------------------------
        MMOV32    @__cla_calc_sp+0,MR0  ; [CPU_] |16| 
	.dwpsn	file "../CLATest.cla",line 17,column 5,is_stmt,isa 0
;----------------------------------------------------------------------
;  17 | return calc2(arga)+1.0;                                                
;----------------------------------------------------------------------
$C$DW$11	.dwtag  DW_TAG_TI_branch
	.dwattr $C$DW$11, DW_AT_low_pc(0x00)
	.dwattr $C$DW$11, DW_AT_name("_calc2")
	.dwattr $C$DW$11, DW_AT_TI_call

        MCCNDD    #_calc2               ; [CPU_] |17| 
        MNOP      ; [CPU_] 
        MNOP      ; [CPU_] 
        MNOP      ; [CPU_] 
        ; call occurs [#_calc2] ; [] |17| 
        MADDF32   MR0,MR0,#16256        ; [CPU_] |17| 
	.dwpsn	file "../CLATest.cla",line 18,column 1,is_stmt,isa 0
        MMOV32    MSTF,@__cla_calc_sp+2 ; [CPU_] 
        MNOP      ; [CPU_] 
        MNOP      ; [CPU_] 
        MNOP      ; [CPU_] 
$C$DW$12	.dwtag  DW_TAG_TI_branch
	.dwattr $C$DW$12, DW_AT_low_pc(0x00)
	.dwattr $C$DW$12, DW_AT_TI_return

        MRCNDD    ; [CPU_] 
        MNOP      ; [CPU_] 
        MNOP      ; [CPU_] 
        MNOP      ; [CPU_] 
        ; return occurs ; [] 
	.dwattr $C$DW$8, DW_AT_TI_end_file("../CLATest.cla")
	.dwattr $C$DW$8, DW_AT_TI_end_line(0x12)
	.dwattr $C$DW$8, DW_AT_TI_end_column(0x01)
	.dwendentry
	.dwendtag $C$DW$8

	.sect	"Cla1Prog:_cla_Task8"
	.align	 2
	.global	_cla_Task8

$C$DW$13	.dwtag  DW_TAG_subprogram
	.dwattr $C$DW$13, DW_AT_name("_cla_Task8")
	.dwattr $C$DW$13, DW_AT_low_pc(_cla_Task8)
	.dwattr $C$DW$13, DW_AT_high_pc(0x00)
	.dwattr $C$DW$13, DW_AT_TI_symbol_name("_cla_Task8")
	.dwattr $C$DW$13, DW_AT_external
	.dwattr $C$DW$13, DW_AT_TI_begin_file("../CLATest.cla")
	.dwattr $C$DW$13, DW_AT_TI_begin_line(0x14)
	.dwattr $C$DW$13, DW_AT_TI_begin_column(0x12)
	.dwattr $C$DW$13, DW_AT_TI_interrupt
	.dwattr $C$DW$13, DW_AT_TI_max_frame_size(0x00)
	.dwpsn	file "../CLATest.cla",line 20,column 33,is_stmt,address _cla_Task8,isa 0

	.dwfde $C$DW$CIE, _cla_Task8
;----------------------------------------------------------------------
;  20 | __interrupt void cla_Task8(void){                                      
;----------------------------------------------------------------------

;***************************************************************
;* FNAME: _cla_Task8                    FR SIZE:   0           *
;*                                                             *
;* FUNCTION ENVIRONMENT                                        *
;*                                                             *
;* FUNCTION PROPERTIES                                         *
;*                            0 Auto,  0 SOE     *
;***************************************************************

_cla_Task8:
	.dwpsn	file "../CLATest.cla",line 21,column 5,is_stmt,isa 0
;----------------------------------------------------------------------
;  21 | LEDstate = LEDstate^1;                                                 
;----------------------------------------------------------------------
        MMOVIZ    MR1,#0                ; [CPU_] |21| 
        MMOVZ16   MR0,@_LEDstate        ; [CPU_] |21| 
        MMOVXI    MR1,#1                ; [CPU_] |21| 
        MXOR32    MR0,MR1,MR0           ; [CPU_] |21| 
        MMOV16    @_LEDstate,MR0        ; [CPU_] |21| 
	.dwpsn	file "../CLATest.cla",line 22,column 5,is_stmt,isa 0
;----------------------------------------------------------------------
;  22 | out = calc(in); // calc2(in);                                          
;----------------------------------------------------------------------
$C$DW$14	.dwtag  DW_TAG_TI_branch
	.dwattr $C$DW$14, DW_AT_low_pc(0x00)
	.dwattr $C$DW$14, DW_AT_name("_calc")
	.dwattr $C$DW$14, DW_AT_TI_call

        MCCNDD    #_calc                ; [CPU_] |22| 
        MNOP      ; [CPU_] 
        MNOP      ; [CPU_] 
        MMOV32    MR0,@_in              ; [CPU_] |22| 
        ; call occurs [#_calc] ; [] |22| 
        MMOV32    @_out,MR0             ; [CPU_] |22| 
	.dwpsn	file "../CLATest.cla",line 23,column 1,is_stmt,isa 0
        MNOP      ; [CPU_] 
        MNOP      ; [CPU_] 
        MNOP      ; [CPU_] 
$C$DW$15	.dwtag  DW_TAG_TI_branch
	.dwattr $C$DW$15, DW_AT_low_pc(0x00)
	.dwattr $C$DW$15, DW_AT_TI_return

        MSTOP     ; [CPU_] 
        ; ireturn occurs ; [] 
	.dwattr $C$DW$13, DW_AT_TI_end_file("../CLATest.cla")
	.dwattr $C$DW$13, DW_AT_TI_end_line(0x17)
	.dwattr $C$DW$13, DW_AT_TI_end_column(0x01)
	.dwendentry
	.dwendtag $C$DW$13

;**************************************************************
;* UNDEFINED EXTERNAL REFERENCES                              *
;**************************************************************
	.global	_LEDstate
	.global	_in
	.global	_out

;***************************************************************
;* TYPE INFORMATION                                            *
;***************************************************************
$C$DW$T$2	.dwtag  DW_TAG_unspecified_type
	.dwattr $C$DW$T$2, DW_AT_name("void")

$C$DW$T$4	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$4, DW_AT_encoding(DW_ATE_boolean)
	.dwattr $C$DW$T$4, DW_AT_name("bool")
	.dwattr $C$DW$T$4, DW_AT_byte_size(0x02)

$C$DW$T$5	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$5, DW_AT_encoding(DW_ATE_signed_char)
	.dwattr $C$DW$T$5, DW_AT_name("signed char")
	.dwattr $C$DW$T$5, DW_AT_byte_size(0x01)

$C$DW$T$6	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$6, DW_AT_encoding(DW_ATE_unsigned_char)
	.dwattr $C$DW$T$6, DW_AT_name("unsigned char")
	.dwattr $C$DW$T$6, DW_AT_byte_size(0x01)

$C$DW$T$7	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$7, DW_AT_encoding(DW_ATE_signed_char)
	.dwattr $C$DW$T$7, DW_AT_name("wchar_t")
	.dwattr $C$DW$T$7, DW_AT_byte_size(0x01)

$C$DW$T$8	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$8, DW_AT_encoding(DW_ATE_signed)
	.dwattr $C$DW$T$8, DW_AT_name("short")
	.dwattr $C$DW$T$8, DW_AT_byte_size(0x01)

$C$DW$T$9	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$9, DW_AT_encoding(DW_ATE_unsigned)
	.dwattr $C$DW$T$9, DW_AT_name("unsigned short")
	.dwattr $C$DW$T$9, DW_AT_byte_size(0x01)

$C$DW$T$20	.dwtag  DW_TAG_typedef
	.dwattr $C$DW$T$20, DW_AT_name("_Uint16")
	.dwattr $C$DW$T$20, DW_AT_type(*$C$DW$T$9)
	.dwattr $C$DW$T$20, DW_AT_language(DW_LANG_C)

$C$DW$16	.dwtag  DW_TAG_TI_far_type
	.dwattr $C$DW$16, DW_AT_type(*$C$DW$T$20)

$C$DW$T$21	.dwtag  DW_TAG_volatile_type
	.dwattr $C$DW$T$21, DW_AT_type(*$C$DW$16)

$C$DW$T$10	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$10, DW_AT_encoding(DW_ATE_signed)
	.dwattr $C$DW$T$10, DW_AT_name("int")
	.dwattr $C$DW$T$10, DW_AT_byte_size(0x02)

$C$DW$T$11	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$11, DW_AT_encoding(DW_ATE_unsigned)
	.dwattr $C$DW$T$11, DW_AT_name("unsigned int")
	.dwattr $C$DW$T$11, DW_AT_byte_size(0x02)

$C$DW$T$12	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$12, DW_AT_encoding(DW_ATE_signed)
	.dwattr $C$DW$T$12, DW_AT_name("long")
	.dwattr $C$DW$T$12, DW_AT_byte_size(0x02)

$C$DW$T$13	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$13, DW_AT_encoding(DW_ATE_unsigned)
	.dwattr $C$DW$T$13, DW_AT_name("unsigned long")
	.dwattr $C$DW$T$13, DW_AT_byte_size(0x02)

$C$DW$T$14	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$14, DW_AT_encoding(DW_ATE_signed)
	.dwattr $C$DW$T$14, DW_AT_name("long long")
	.dwattr $C$DW$T$14, DW_AT_byte_size(0x02)

$C$DW$T$15	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$15, DW_AT_encoding(DW_ATE_unsigned)
	.dwattr $C$DW$T$15, DW_AT_name("unsigned long long")
	.dwattr $C$DW$T$15, DW_AT_byte_size(0x02)

$C$DW$T$16	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$16, DW_AT_encoding(DW_ATE_float)
	.dwattr $C$DW$T$16, DW_AT_name("float")
	.dwattr $C$DW$T$16, DW_AT_byte_size(0x02)

$C$DW$T$22	.dwtag  DW_TAG_typedef
	.dwattr $C$DW$T$22, DW_AT_name("_float32")
	.dwattr $C$DW$T$22, DW_AT_type(*$C$DW$T$16)
	.dwattr $C$DW$T$22, DW_AT_language(DW_LANG_C)

$C$DW$17	.dwtag  DW_TAG_TI_far_type
	.dwattr $C$DW$17, DW_AT_type(*$C$DW$T$22)

$C$DW$T$25	.dwtag  DW_TAG_volatile_type
	.dwattr $C$DW$T$25, DW_AT_type(*$C$DW$17)

$C$DW$T$17	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$17, DW_AT_encoding(DW_ATE_float)
	.dwattr $C$DW$T$17, DW_AT_name("double")
	.dwattr $C$DW$T$17, DW_AT_byte_size(0x02)

$C$DW$T$18	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$18, DW_AT_encoding(DW_ATE_float)
	.dwattr $C$DW$T$18, DW_AT_name("long double")
	.dwattr $C$DW$T$18, DW_AT_byte_size(0x02)

	.dwattr $C$DW$CU, DW_AT_language(DW_LANG_C)

;***************************************************************
;* DWARF CIE ENTRIES                                           *
;***************************************************************

$C$DW$CIE	.dwcie 7
	.dwcfi	cfa_register, 10
	.dwcfi	cfa_offset, 0
	.dwcfi	undefined, 2
	.dwcfi	undefined, 3
	.dwcfi	undefined, 4
	.dwcfi	same_value, 5
	.dwcfi	undefined, 0
	.dwcfi	undefined, 1
	.dwcfi	undefined, 6
	.dwcfi	undefined, 7
	.dwcfi	undefined, 9
	.dwcfi	undefined, 10
	.dwcfi	undefined, 11
	.dwendentry

;***************************************************************
;* DWARF REGISTER MAP                                          *
;***************************************************************

$C$DW$18	.dwtag  DW_TAG_TI_assign_register
	.dwattr $C$DW$18, DW_AT_name("MR0")
	.dwattr $C$DW$18, DW_AT_location[DW_OP_reg2]

$C$DW$19	.dwtag  DW_TAG_TI_assign_register
	.dwattr $C$DW$19, DW_AT_name("MR1")
	.dwattr $C$DW$19, DW_AT_location[DW_OP_reg3]

$C$DW$20	.dwtag  DW_TAG_TI_assign_register
	.dwattr $C$DW$20, DW_AT_name("MR2")
	.dwattr $C$DW$20, DW_AT_location[DW_OP_reg4]

$C$DW$21	.dwtag  DW_TAG_TI_assign_register
	.dwattr $C$DW$21, DW_AT_name("MR3")
	.dwattr $C$DW$21, DW_AT_location[DW_OP_reg5]

$C$DW$22	.dwtag  DW_TAG_TI_assign_register
	.dwattr $C$DW$22, DW_AT_name("MAR0")
	.dwattr $C$DW$22, DW_AT_location[DW_OP_reg0]

$C$DW$23	.dwtag  DW_TAG_TI_assign_register
	.dwattr $C$DW$23, DW_AT_name("MAR1")
	.dwattr $C$DW$23, DW_AT_location[DW_OP_reg1]

$C$DW$24	.dwtag  DW_TAG_TI_assign_register
	.dwattr $C$DW$24, DW_AT_name("PC")
	.dwattr $C$DW$24, DW_AT_location[DW_OP_reg6]

$C$DW$25	.dwtag  DW_TAG_TI_assign_register
	.dwattr $C$DW$25, DW_AT_name("RPC")
	.dwattr $C$DW$25, DW_AT_location[DW_OP_reg7]

$C$DW$26	.dwtag  DW_TAG_TI_assign_register
	.dwattr $C$DW$26, DW_AT_name("MSTF")
	.dwattr $C$DW$26, DW_AT_location[DW_OP_reg9]

$C$DW$27	.dwtag  DW_TAG_TI_assign_register
	.dwattr $C$DW$27, DW_AT_name("SP")
	.dwattr $C$DW$27, DW_AT_location[DW_OP_reg10]

	.dwendtag $C$DW$CU

